"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _baseAssignValue = require("./_baseAssignValue.js");
const eq$1 = require("./eq.js");
var baseAssignValue = _baseAssignValue._baseAssignValue, eq = eq$1.eq_1;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function assignValue(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue(object, key, value);
  }
}
var _assignValue = assignValue;
exports._assignValue = _assignValue;
